@echo off
set PROJNAME=mindwarp
del /f /q %PROJNAME%.lst
del /f /q %PROJNAME%.p
del /f /q %PROJNAME%.bin

rem --- Compile with "Macro Assembler AS" http://john.ccac.rwth-aachen.de:8000/as/
set ASMDIR=..\asw

if exist %PROJNAME%.p del /f /q %PROJNAME%.p
if exist %PROJNAME%.bin del /f /q %PROJNAME%.bin
%ASMDIR%\bin\asw.exe -cpu z80undoc -L %PROJNAME%.a80
if exist %PROJNAME%.p %ASMDIR%\bin\p2bin.exe %PROJNAME%.p %PROJNAME%.bin -r $-$ -k
if not exist %PROJNAME%.bin goto err
rem --- SPG builder - https://zx-evo-fpga.googlecode.com/hg/pentevo/tools/spgbld/spgbld.exe
spgbld.exe -b spgbld.ini %PROJNAME%.spg -c 0
if exist %PROJNAME%.spg goto ok

:err
echo * ERROR! *

:ok
set ASMDIR=
set PROJNAME=
